Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.script
Class ScriptableParameter

    java.lang.Object
      org.eclipse.birt.core.script.BaseScriptable
          org.eclipse.birt.core.script.ScriptableParameter

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, org.mozilla.javascript.Wrapper

    public class ScriptableParameter

extends BaseScriptable
implements org.mozilla.javascript.Wrapper

Nested Class Summary
`static class` | `ScriptableParameter.JsValueCallable`

Field Summary
`static java.lang.String` | `FIELD_DISPLAY_TEXT`
`static java.lang.String` | `FIELD_VALUE`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`ScriptableParameter(java.util.Map parameters, java.lang.String parameterName, org.mozilla.javascript.Scriptable parent)`

Method Summary
`java.lang.Object` | `get(java.lang.String name, org.mozilla.javascript.Scriptable scope)`
`java.lang.String` | `getClassName()`
`java.lang.Object` | `getDefaultValue(java.lang.Class hint)`
`boolean` | `has(java.lang.String name, org.mozilla.javascript.Scriptable scope)`
`void` | `put(java.lang.String name, org.mozilla.javascript.Scriptable scope, java.lang.Object value)`
`java.lang.Object` | `unwrap()`

Methods inherited from class org.eclipse.birt.core.script.BaseScriptable
`delete, delete, get, getIds, getParentScope, getPrototype, has, hasInstance, put, setParentScope, setPrototype`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FIELD_VALUE

    public static final java.lang.String FIELD_VALUE

See Also:
  Constant Field Values

### FIELD_DISPLAY_TEXT

    public static final java.lang.String FIELD_DISPLAY_TEXT

See Also:
  Constant Field Values

Constructor Detail

### ScriptableParameter

    public ScriptableParameter(java.util.Map parameters,
                               java.lang.String parameterName,
                               org.mozilla.javascript.Scriptable parent)

Method Detail

### get

    public java.lang.Object get(java.lang.String name,
                                org.mozilla.javascript.Scriptable scope)

  Specified by:
    `get` in interface `org.mozilla.javascript.Scriptable`

### getDefaultValue

    public java.lang.Object getDefaultValue(java.lang.Class hint)

  Specified by:
    `getDefaultValue` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `getDefaultValue` in class `BaseScriptable`

### has

    public boolean has(java.lang.String name,
                       org.mozilla.javascript.Scriptable scope)

  Specified by:
    `has` in interface `org.mozilla.javascript.Scriptable`

### put

    public void put(java.lang.String name,
                    org.mozilla.javascript.Scriptable scope,
                    java.lang.Object value)

  Specified by:
    `put` in interface `org.mozilla.javascript.Scriptable`

### getClassName

    public java.lang.String getClassName()

  Specified by:
    `getClassName` in interface `org.mozilla.javascript.Scriptable`

### unwrap

    public java.lang.Object unwrap()

  Specified by:
    `unwrap` in interface `org.mozilla.javascript.Wrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.